Name:           perl-Text-BibTeX
Version:        0.89
Release:    2%{?dist}
Summary:        Interface to read and parse BibTeX files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-BibTeX
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMBS/Text-BibTeX-%{version}.tar.gz
Patch3000:      0001-Text-BibTeX-0.89-add-support-for-loongarch64.patch
BuildRequires:  chrpath
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Capture::Tiny) >= 0.06
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::AutoConf) >= 0.320
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(ExtUtils::LibBuilder) >= 0.02
BuildRequires:  perl(ExtUtils::Mkbootstrap)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-Scalar-List-Utils >= 1.42
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Unicode::Normalize)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  sed
Requires:       perl-Scalar-List-Utils >= 1.42

%description
The Text::BibTeX module processes BibTeX data.  It includes object-oriented
interfaces to both BibTeX database files and individual bibliographic
entries, as well as other miscellaneous functions.

%prep
%setup -q -n Text-BibTeX-%{version}
%patch3000 -p1
chmod a-x scripts/* examples/*

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*
chrpath -d %{buildroot}%{_bindir}/*

%check
./Build test

%files
%doc Changes examples README README.OLD scripts THANKS btool_faq.pod
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/*.so
%{_includedir}/btparse.h

%changelog
* Wed Feb 5 2025 doupengda <doupengda@loongson.cn> - 0.89-2
- [Type] other
- [DESC] add support for loongarch64

* Thu Aug 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.89-1
- initial build
